Cyberduck Mountain Duck CLI

#8513 closed defect (thirdparty)

403 Forbidden returned by server for PUT

Reported by: omtba Owned by: dkocher
Priority: high Milestone:
Component: webdav Version: 4.6.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

After updating to the latest version of cyber duck on both Mac and PC we are getting an error message that says forbidden when trying to upload files to our webDAV server. We are connecting using SSL, we have verified permissions and tried with different users and shares. With version 4.6 everything works as expected.

Attachments (1)

image.jpg (184.8 KB) - added by omtba on Jan 26, 2015 at 3:34:00 PM.
Error screenshot

Download all attachments as: .zip

Change History (19)

comment:1 Changed on Jan 22, 2015 at 2:37:04 PM by dkocher

Please post the transcript from the log drawer (⌘-L) of the Transfers window.

comment:2 Changed on Jan 22, 2015 at 6:46:07 PM by omtba

HEAD / HTTP/1.1
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 200 OK
Date: Thu, 22 Jan 2015 18:14:43 GMT
Server: Apache
Content-Location: default.html.en
Vary: negotiate,accept-language
TCN: choice
Last-Modified: Fri, 10 Oct 2014 23:46:46 GMT
ETag: "48d0f-5051a296f4580"
Accept-Ranges: bytes
Content-Length: 298255
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html
Content-Language: en
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 401 Unauthorized
Date: Thu, 22 Jan 2015 18:14:44 GMT
Server: Apache
WWW-Authenticate: Digest realm="UserWebDAV Gateway", nonce="d2e3422a8689a64274215e31699975801421950484285336"
Content-Length: 450
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="d2e3422a8689a64274215e31699975801421950484285336", uri="/", response="6de3227d67df004509b2150afecabf5d", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Thu, 22 Jan 2015 18:14:44 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
DAV: 1,2
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=98
Connection: Keep-Alive
Transfer-Encoding: chunked
PUT /SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf-1372d2b7-0780-4514-9524-6b7749bb164c HTTP/1.1
Expect: 100-continue
Content-Length: 172909
Content-Type: application/pdf
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="d2e3422a8689a64274215e31699975801421950484285336", uri="/SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf-1372d2b7-0780-4514-9524-6b7749bb164c", response="5f7a572f4e2c62d3b1f2d6b63f343530", algorithm=MD5
HTTP/1.1 403 Forbidden
Date: Thu, 22 Jan 2015 18:14:46 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
Content-Length: 331
Content-Type: text/html; charset=iso-8859-1
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=97
Connection: Keep-Alive
 

Last edited on Jan 23, 2015 at 9:46:04 AM by dkocher (previous) (diff)

comment:3 Changed on Jan 23, 2015 at 10:28:48 AM by dkocher

The transcript looks fine with the Authorization header included for PUT. Can you post the transcript from a successful upload with version 4.6.

comment:4 Changed on Jan 23, 2015 at 10:29:25 AM by dkocher

  • Summary changed from WebDAV a Unable to Upload to 403 Forbidden returned by server for PUT

comment:5 Changed on Jan 23, 2015 at 1:36:04 PM by omtba

HEAD /MYGALE/TEST/ HTTP/1.1
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Basic ZW5xdWV0ZXVyOk15Z2FsZTIwMTQ=
HTTP/1.1 404 Not Found
Date: Fri, 23 Jan 2015 13:35:20 GMT
Server: Apache
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1
PROPFIND /MYGALE/TEST/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Basic ZW5xdWV0ZXVyOk15Z2FsZTIwMTQ=
HTTP/1.1 401 Unauthorized
Date: Fri, 23 Jan 2015 13:35:20 GMT
Server: Apache
WWW-Authenticate: Digest realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036"
Content-Length: 450
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1
PROPFIND /MYGALE/TEST/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Digest username="enqueteur", realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036", uri="/MYGALE/TEST/", response="210f36f7f9da9d5a632eea18fa12364e", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Fri, 23 Jan 2015 13:35:20 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Transfer-Encoding: chunked
PROPFIND /MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="enqueteur", realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036", uri="/MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png", response="e8296fa139fb9bb996f15f7e2c607261", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Fri, 23 Jan 2015 13:35:21 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=98
Connection: Keep-Alive
Transfer-Encoding: chunked
PROPFIND /MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="enqueteur", realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036", uri="/MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png", response="e8296fa139fb9bb996f15f7e2c607261", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Fri, 23 Jan 2015 13:35:21 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=97
Connection: Keep-Alive
Transfer-Encoding: chunked
PROPFIND /MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="enqueteur", realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036", uri="/MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png", response="e8296fa139fb9bb996f15f7e2c607261", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Fri, 23 Jan 2015 13:35:21 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=96
Connection: Keep-Alive
Transfer-Encoding: chunked
PROPFIND /MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="enqueteur", realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036", uri="/MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png", response="e8296fa139fb9bb996f15f7e2c607261", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Fri, 23 Jan 2015 13:35:24 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=95
Connection: Keep-Alive
Transfer-Encoding: chunked
PROPFIND /MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="enqueteur", realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036", uri="/MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png", response="e8296fa139fb9bb996f15f7e2c607261", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Fri, 23 Jan 2015 13:35:24 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=94
Connection: Keep-Alive
Transfer-Encoding: chunked
PUT /MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png HTTP/1.1
Expect: 100-continue
Content-Length: 676462
Content-Type: image/png
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="enqueteur", realm="UserWebDAV Gateway", nonce="2d634e3ca335625c0147126b8eb4260b1422020120536036", uri="/MYGALE/TEST/Screen%20Shot%202014-10-14%20at%207.31.13%20AM.png", response="e382a0f2d7a8d60d1c866e9b627b7fd9", algorithm=MD5
HTTP/1.1 204 No Content
Date: Fri, 23 Jan 2015 13:35:24 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
Content-Length: 0
Content-Type: image/png
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=93
Connection: Keep-Alive

Last edited on Jan 23, 2015 at 1:37:21 PM by dkocher (previous) (diff)

comment:6 Changed on Jan 23, 2015 at 1:42:34 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

In the transcript with the successful upload you use username enqueteur whereas the permission failure is with username aci.

comment:7 Changed on Jan 23, 2015 at 1:50:49 PM by omtba

No, I just used a different username/password but we have verified permissions and usernames multiple times. Here's the log with the same username:

HEAD / HTTP/1.1

Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6 (15810) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 200 OK
Date: Fri, 23 Jan 2015 13:48:50 GMT
Server: Apache
Content-Location: default.html.en
Vary: negotiate,accept-language
TCN: choice
Last-Modified: Fri, 10 Oct 2014 23:46:46 GMT
ETag: "48d0f-5051a296f4580"
Accept-Ranges: bytes
Content-Length: 298255
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html
Content-Language: en
PROPFIND /Dossier%20Rapport%20ACI/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6 (15810) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 401 Unauthorized
Date: Fri, 23 Jan 2015 13:48:50 GMT
Server: Apache
WWW-Authenticate: Digest realm="UserWebDAV Gateway", nonce="38d1afdb7535d3d21cbe3f06b3a209cc1422020930774581"
Content-Length: 450
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1
PROPFIND /Dossier%20Rapport%20ACI/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6 (15810) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="38d1afdb7535d3d21cbe3f06b3a209cc1422020930774581", uri="/Dossier%20Rapport%20ACI/", response="ead2c9bf9a99976fe4ae82c5d6ed9c9a", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Fri, 23 Jan 2015 13:48:50 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=98
Connection: Keep-Alive
Transfer-Encoding: chunked
PUT /Dossier%20Rapport%20ACI/TEST.docx HTTP/1.1
Expect: 100-continue
Content-Length: 9887
Content-Type: application/vnd.openxmlformats-officedocument.wordprocessingml.document
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6 (15810) (Windows 7/6.1) (x86)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="38d1afdb7535d3d21cbe3f06b3a209cc1422020930774581", uri="/Dossier%20Rapport%20ACI/TEST.docx", response="0556497eed58c77acaf2a426e504baeb", algorithm=MD5
HTTP/1.1 201 Created
Date: Fri, 23 Jan 2015 13:48:51 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
Location: http://localhost:64581/274ba290-4508-44ac-9792-3fc2a322d779/Dossier%20Rapport%20ACI/TEST.docx
MS-Author-Via: DAV
Content-Disposition: attachment
Content-Type: application/octet-stream
X-Content-Type-Options: nosniff
Content-Length: 71
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=97
Connection: Keep-Alive
Last edited on Jan 23, 2015 at 2:19:45 PM by dkocher (previous) (diff)

comment:8 Changed on Jan 23, 2015 at 1:51:14 PM by omtba

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:10 Changed on Jan 23, 2015 at 2:30:37 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:11 follow-up: Changed on Jan 23, 2015 at 2:33:18 PM by omtba

Would you mind providing the instructions for Windows?

comment:12 in reply to: ↑ 11 Changed on Jan 23, 2015 at 3:16:41 PM by dkocher

Replying to omtba:

Would you mind providing the instructions for Windows?

You can disable the setting in Preferences → Transfers → General → Uploads → Upload with temporary filename.

Last edited on Jan 23, 2015 at 3:17:02 PM by dkocher (previous) (diff)

Changed on Jan 26, 2015 at 3:34:00 PM by omtba

Error screenshot

comment:13 follow-up: Changed on Jan 26, 2015 at 3:42:49 PM by omtba

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Hi we've tried applying the suggested changes and the problem is still there.

I've attached the logs.

comment:14 in reply to: ↑ 13 Changed on Jan 26, 2015 at 3:59:00 PM by dkocher

Replying to omtba:

Hi we've tried applying the suggested changes and the problem is still there.

I've attached the logs.

I can only see a screenshot.

comment:15 Changed on Jan 26, 2015 at 4:21:10 PM by omtba

LOG 2015-01-26

HEAD / HTTP/1.1
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 200 OK
Date: Mon, 26 Jan 2015 14:24:21 GMT
Server: Apache
Content-Location: default.html.en
Vary: negotiate,accept-language
TCN: choice
Last-Modified: Fri, 10 Oct 2014 23:46:46 GMT
ETag: "48d0f-5051a296f4580"
Accept-Ranges: bytes
Content-Length: 298255
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html
Content-Language: en
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 401 Unauthorized
Date: Mon, 26 Jan 2015 14:24:22 GMT
Server: Apache
WWW-Authenticate: Digest realm="UserWebDAV Gateway", nonce="68fadaa5e339b3af49f6875677e1c2e61422282262228152"
Content-Length: 450
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="68fadaa5e339b3af49f6875677e1c2e61422282262228152", uri="/", response="2ce0582808cc4427b2d8036d4b9ff5f9", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Mon, 26 Jan 2015 14:24:22 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
DAV: 1,2
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=98
Connection: Keep-Alive
Transfer-Encoding: chunked
PUT /SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf HTTP/1.1
Expect: 100-continue
Content-Length: 172909
Content-Type: application/pdf
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="68fadaa5e339b3af49f6875677e1c2e61422282262228152", uri="/SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf", response="9acb87061f2e3b9d7d2daa60e4bb2142", algorithm=MD5
HTTP/1.1 403 Forbidden
Date: Mon, 26 Jan 2015 14:24:24 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
Content-Length: 294
Content-Type: text/html; charset=iso-8859-1
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=97
Connection: Keep-Alive
HEAD / HTTP/1.1
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 200 OK
Date: Mon, 26 Jan 2015 15:18:37 GMT
Server: Apache
Content-Location: default.html.en
Vary: negotiate,accept-language
TCN: choice
Last-Modified: Fri, 10 Oct 2014 23:46:46 GMT
ETag: "48d0f-5051a296f4580"
Accept-Ranges: bytes
Content-Length: 298255
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html
Content-Language: en
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 401 Unauthorized
Date: Mon, 26 Jan 2015 15:18:37 GMT
Server: Apache
WWW-Authenticate: Digest realm="UserWebDAV Gateway", nonce="4d8d5581b89a88e7d199b60d8d6324121422285517619350"
Content-Length: 450
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="4d8d5581b89a88e7d199b60d8d6324121422285517619350", uri="/", response="bdfb97ada933fe4ddfd5e4bcf6372cb3", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Mon, 26 Jan 2015 15:18:37 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
DAV: 1,2
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=98
Connection: Keep-Alive
Transfer-Encoding: chunked
PUT /SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf HTTP/1.1
Expect: 100-continue
Content-Length: 172909
Content-Type: application/pdf
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (16490) (Windows 7/6.1) (x86)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="4d8d5581b89a88e7d199b60d8d6324121422285517619350", uri="/SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf", response="d60543b0afe99e8d5237707242cb6004", algorithm=MD5
HTTP/1.1 403 Forbidden
Date: Mon, 26 Jan 2015 15:18:38 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
Content-Length: 294
Content-Type: text/html; charset=iso-8859-1
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=97
Connection: Keep-Alive

Last edited on Jan 26, 2015 at 4:23:59 PM by dkocher (previous) (diff)

comment:16 Changed on Jan 26, 2015 at 4:29:25 PM by dkocher

Please show me the same PUT request for /SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf that is successful for user aci.

comment:17 Changed on Jan 26, 2015 at 6:39:32 PM by omtba

HEAD / HTTP/1.1
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 200 OK
Date: Mon, 26 Jan 2015 18:30:38 GMT
Server: Apache
Content-Location: default.html.en
Vary: negotiate,accept-language
TCN: choice
Last-Modified: Fri, 10 Oct 2014 23:46:46 GMT
ETag: "48d0f-5051a296f4580"
Accept-Ranges: bytes
Content-Length: 298255
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html
Content-Language: en
PROPFIND /Dossier%20Rapport%20ACI/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Basic YWNpOlRpbnRpbjE0Nzk2Mw==
HTTP/1.1 401 Unauthorized
Date: Mon, 26 Jan 2015 18:30:38 GMT
Server: Apache
WWW-Authenticate: Digest realm="UserWebDAV Gateway", nonce="4dfa5c6c104fe4eaddb4b57d2ea2bc041422297038594006"
Content-Length: 450
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Content-Type: text/html; charset=iso-8859-1
PROPFIND /Dossier%20Rapport%20ACI/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="4dfa5c6c104fe4eaddb4b57d2ea2bc041422297038594006", uri="/Dossier%20Rapport%20ACI/", response="7b656699cc791e7611c6386a54ecd6eb", algorithm=MD5
HTTP/1.1 207 Multi-Status
Date: Mon, 26 Jan 2015 18:30:38 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
MS-Author-Via: DAV
Content-Disposition: attachment
X-Content-Type-Options: nosniff
Content-Type: text/xml; charset="utf-8"
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=98
Connection: Keep-Alive
Transfer-Encoding: chunked
PUT /Dossier%20Rapport%20ACI/SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf HTTP/1.1
Expect: 100-continue
Content-Length: 180124
Content-Type: application/pdf
Host: server.sqcapple.ca
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: WebDAVClient=TRUE
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Digest username="aci", realm="UserWebDAV Gateway", nonce="4dfa5c6c104fe4eaddb4b57d2ea2bc041422297038594006", uri="/Dossier%20Rapport%20ACI/SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf", response="af02576d9f89d2f396f72e3a94dfb448", algorithm=MD5
HTTP/1.1 201 Created
Date: Mon, 26 Jan 2015 18:30:39 GMT
Server: Apache/2.4.9 (Unix)
Set-Cookie: WebDAVClient=TRUE; path=/; domain=server.sqcapple.ca
Location: http://localhost:52107/274ba290-4508-44ac-9792-3fc2a322d779/Dossier%20Rapport%20ACI/SURE091-Documentation%20Gestion%20des%20Appareils%20Mobiles.pdf
MS-Author-Via: DAV
Content-Disposition: attachment
Content-Type: application/octet-stream
X-Content-Type-Options: nosniff
Content-Length: 71
MS-Author-Via: DAV
Keep-Alive: timeout=15, max=97
Connection: Keep-Alive
Last edited on Jan 26, 2015 at 9:48:57 PM by dkocher (previous) (diff)

comment:18 Changed on Jan 26, 2015 at 9:51:52 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

The successful transcript on the Mac shows that you are uploading into the folder /Dossier%20Rapport%20ACI whereas on Windows where the requeset fails with an authentication failure you try to upload to /.

Note: See TracTickets for help on using tickets.
swiss made software